Supported browsers

Using the latest internet browser helps maintain and improve your online security.

To access PRODA to set up an account you’ll need one of these minimum browser versions:

  • Internet Explorer 9
  • Mozilla Firefox 30
  • Google Chrome 39
  • Safari 5

Please also check that you are using the minimum browser version required for the service you're accessing through PRODA.

Page last updated: 22 February 2019